<!-- post thumbnail -->
<?php if (has_post_thumbnail()): // Check if thumbnail exists
    if ($relatedloop === true): ?>
        <a class="related_thumbnailwrapper" href="<?php the_permalink();?>" title="<?php the_title();?>">
            <?php the_post_thumbnail('home-square-thumbnail');?>
        </a>
    <?php else: ?>
        <a class="thumbnailwrapper" href="<?php the_permalink();?>" title="<?php the_title();?>">
            <?php if (is_home() and $qc < 3): ; //first two posts are big
                the_post_thumbnail('home-big-thumbnail');
            else:
                the_post_thumbnail('home-square-thumbnail');
            endif;?>
        </a>
    <?php endif;?>
<?php endif;?>
<!-- /post thumbnail -->


<div class="metadata">
    <div class="categories">
        <?php
            $echos = [];
            foreach ((get_the_category()) as $category) {
                $echos[] = $category->name;
            }
            print implode(' | ', $echos);
            ?>

        <?php if (is_home() and $qc < 3): ; //first two posts format only ?>
        <?php //get the post format
            $terms = get_the_terms($post->ID, 'Format');
            if ($terms && !is_wp_error($terms)) {
                foreach ($terms as $term) {
                    echo '| ';
                    echo $term->name;
                }
            }?>
        <?php endif;?>
    </div><!-- categories end-->

    <?php if (is_home() and $qc < 3): ; //first two posts subtitle and excerpt ?>
    <div class="alcimWrapper"> 
        <div class="alcim">
            <div class="alcimInner">
                <?php
                    $dis_alcim_value = get_post_meta(get_the_ID(), 'dis-alcim', true);
                    // Check if the custom field has a value.
                    if (!empty($dis_alcim_value)) {
                        echo $dis_alcim_value;
                    }
                ?>
            </div>
        </div>
    </div> 
    <?php endif;?>
    <div class="vr"></div>
    <div class="postedon">
        '<?php the_time('y.m.d.');?>
    </div>
    <?php 
        $dis_bevezeto_value = get_post_meta(get_the_ID(), 'dis-bevezeto', true);
        if ((is_home() and strlen($dis_bevezeto_value) > 0) or (is_home() and $qc < 3)): ; // excerpt only if first two or has value
    ?>
        <div class="bevezetoWrapper">
            <div class="bevezeto">
                <div class="bevezetoInner">
                    <?php
                        
                        // Check if the custom field has a value.
                        if (!empty($dis_bevezeto_value)) {
                            echo $dis_bevezeto_value;
                        }
                    ?>
                </div>    
            </div>
        </div>
    <?php endif;?>
    
    <div class="filler"></div>

    <?php if (is_home() and $qc == 1): ; //first post on home ?>
        <div class="curvyArrow">
            <object data="<?php echo get_template_directory_uri(); ?>/img/curvy_arrow.svg" type="image/svg+xml">
                <img src="<?php echo get_template_directory_uri(); ?>/img/curvy_arrow.png" />
            </object>
        </div>
    <?php endif;?>
</div> <!-- metadata end -->


<!-- post title -->
<h2>
    <a href="<?php the_permalink();?>" title="<?php the_title();?>"><?php the_title();?></a>
</h2>
<!-- /post title -->